Package be.fgov.ehealth.mediprima.uma.protocol.v1

# Class DeleteUrgentMedicalAidAttestationRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.commons.protocol.v2.AuthorRequestType
be.fgov.ehealth.mediprima.uma.protocol.v1.DeleteUrgentMedicalAidAttestationRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:35+02:00", comments="JAXB RI v4.0.5") public class DeleteUrgentMedicalAidAttestationRequest extends AuthorRequestType implements Serializable
Delete urgent medical aid attestation request

Java class for DeleteUrgentMedicalAidAttestationRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeleteUrgentMedicalAidAttestationRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}AuthorRequestType">
           <sequence>
             <element name="BeneficiarySsin" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="AttestationNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteUrgentMedicalAidAttestationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttestationNumber()`
  Gets the value of the attestationNumber property.
  `String`
  `getBeneficiarySsin()`
  SSIN of the beneficiary
  `void`
  `setAttestationNumber(String value)`
  Sets the value of the attestationNumber property.
  `void`
  `setBeneficiarySsin(String value)`
  Sets the value of the beneficiarySsin property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.AuthorRequestType

  `getAuthor, setAuthor`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeleteUrgentMedicalAidAttestationRequest

    public DeleteUrgentMedicalAidAttestationRequest()

- ## Method Details

  - ### getBeneficiarySsin

    public String getBeneficiarySsin()
    SSIN of the beneficiary
    Returns:
      possible object is `String`

  - ### setBeneficiarySsin

    public void setBeneficiarySsin(String value)
    Sets the value of the beneficiarySsin property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBeneficiarySsin()`

  - ### getAttestationNumber

    public String getAttestationNumber()
    Gets the value of the attestationNumber property.
    Returns:
      possible object is `String`

  - ### setAttestationNumber

    public void setAttestationNumber(String value)
    Sets the value of the attestationNumber property.
    Parameters:
      `value` - allowed object is `String`